- name: Debug Meta
  debug: var=ansible_operator_meta
- name: Debug Toggles
  debug:
    msg: |
      affinities:{{ do_affinities }},
      debugs:{{ do_debugs }},
      exporters:{{ do_exporters }},
      hpa:{{ do_hpa }},
      imagesfrom:{{ opsperator_images_registry }},
      networkpolicy:{{ do_network_policy }},
      pdb:{{ do_pdb }},
      triggers:{{ do_triggers }}
  failed_when: False
- name: Sets Objects Names according to input metadata
  set_fact:
    cr_apivers: wopla.io/v1beta1
    cr_kind: ReleaseBell
    cr_name: "{{ ansible_operator_meta.name }}"
    namespace: "{{ ansible_operator_meta.namespace }}"
    pki_set: []
    rbms_name: "releasebell-mariadb-{{ ansible_operator_meta.name }}"
    rbpc_name: "releasebell-percona-{{ ansible_operator_meta.name }}"
    releasebell_name: "releasebell-{{ ansible_operator_meta.name }}"
- include_role:
    name: commons
    tasks_from: helpers/get-lock.yaml
- name: "Checks {{ cr_name }} CR Status"
  async: 30
  changed_when: False
  k8s_info:
    api_version: "{{ cr_apivers }}"
    kind: "{{ cr_kind }}"
    name: "{{ cr_name }}"
    namespace: "{{ namespace }}"
  no_log: True
  poll: 5
  register: releasebell_crd
- name: Exits if CR is paused
  meta: end_play
  when:
  - releasebell_crd is defined
  - releasebell_crd.resources | length > 0
  - releasebell_crd.resources[0].spec is defined
  - releasebell_crd.resources[0].spec.pause | default(False)
- include_role:
    name: commons
    tasks_from: helpers/k8s-flavor.yaml
- include_role:
    name: commons
    tasks_from: helpers/sc-check.yaml
  vars:
    requires_rwo: True
- name: Forces Using MariaDB when Percona requested on ARM
  set_fact:
    releasebell_db_type: mysql
  when:
  - k8s_flavor == 'kubernetes'
  - releasebell_db_type == 'percona'
  - do_arm64 or do_arm
  - not do_amd64
- name: Fail if Database Type is not Supported
  fail:
    msg: |
      CRITICAL - unsupported {{ releasebell_db_type }} database driver
      pick one from mariadb, mysql, percona
  when:
  - releasebell_db_type not in [ 'mariadb', 'mysql', 'percona' ]
